/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { ScrollIntoViewService } from '../../shared/scroll-into-view.service';
import { PicklistDemoComponent } from './picklist-demo.component';
import { PicklistDemoModule } from './picklist-demo.module';

describe('PicklistDemoComponent', () => {
  let component: PicklistDemoComponent;
  let fixture: ComponentFixture<PicklistDemoComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [NoopAnimationsModule, PicklistDemoModule],
        providers:[ScrollIntoViewService]
        // declarations: [ PicklistDemoComponent ]
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(PicklistDemoComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
